# Function mockPlatformFactory

- mockPlatformFactory<N, P>(platform, config): PlatformUtils<N, P>

- #### Type Parameters

  - #### N extends "Mainnet" | "Testnet" | "Devnet"

  - #### P extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  #### Parameters

  - ##### platform: P

  - ##### config: ChainsConfig<N, P>

  #### Returns PlatformUtils<N, P>

  - Defined in core/definitions/dist/esm/testing/mocks/platform.d.ts:3

Generated using TypeDoc